> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Ottieni dominio

> Restituisce il dettaglio del dominio rivolto al cliente.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.it.json GET /v1/public/accounts/{account_id}/domains/{domain}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains/{domain}:
    get:
      tags:
        - public-accounts
        - public-domains
      summary: Ottieni dominio
      description: Restituisce il dettaglio del dominio rivolto al cliente.
      operationId: get_public_domain_v1_public_accounts__account_id__domains__domain__get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: domain
          required: true
          schema:
            title: Domain
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainDetailResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainDetailResponse:
      properties:
        auto_renew:
          default: false
          description: Se il rinnovo automatico del dominio è abilitato
          title: automatico Renew
          type: boolean
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Timestamp di creazione del dominio
          title: Creato il
        dedicated_ip_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Assegnato IP UUID dedicato, se presente
          title: Id IP dedicato
        dns_records:
          description: Record DNS per il dominio
          items:
            $ref: '#/components/schemas/DomainDnsRecordResponse'
          title: Record DNS
          type: array
        id:
          description: Dominio UUID
          format: uuid
          title: ID
          type: string
        inbound_tenant_external_id:
          anyOf:
            - type: string
            - type: 'null'
          description: ID esterno del provider per il tenant in entrata
          title: Inbound Tenant External ID
        inbound_tenant_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Tenant in entrata UUID, se assegnato
          title: Inbound Tenant ID
        inbound_tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          description: Nome visualizzato del tenant in entrata, se assegnato
          title: Inbound Tenant nome
        inbound_tenant_type:
          anyOf:
            - type: string
            - type: 'null'
          description: Tipo di tenant in entrata, se assegnato
          title: Inbound Tenant tipo
        mailboxes:
          description: Caselle di posta nel dominio
          items:
            $ref: '#/components/schemas/DomainMailboxSummary'
          title: Caselle di posta
          type: array
        name:
          description: Nome di dominio
          title: Nome
          type: string
        outbound_routing_ready:
          description: Se il routing in uscita è pronto
          title: Routing in uscita pronto
          type: boolean
        redirect_mode:
          anyOf:
            - enum:
                - '301'
                - '302'
                - iframe
              type: string
            - type: 'null'
          description: Modalità di reindirizzamento configurata, se presente
          title: Redirect modalità
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          description: URL di reindirizzamento configurato, se presente
          title: Redirect URL
        status:
          description: Stato del ciclo di vita del dominio
          title: Stato
          type: string
        tags:
          description: Tag allegati al dominio
          items:
            $ref: '#/components/schemas/DomainTagResponse'
          title: Tag
          type: array
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Timestamp dell'ultimo aggiornamento del dominio
          title: Aggiornato il
        workspace_id:
          description: Area di lavoro UUID che contiene il dominio
          format: uuid
          title: Id area di lavoro
          type: string
      required:
        - id
        - name
        - status
        - workspace_id
        - outbound_routing_ready
      title: DomainDetailResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Dettaglio
          type: array
      title: HTTPValidationError
      type: object
    DomainDnsRecordResponse:
      description: Record DNS incorporato nei dettagli del dominio.
      properties:
        id:
          description: DNS identificatore del record
          title: ID
          type: integer
        is_system_managed:
          default: false
          description: Indica se il record è gestito da HybridBox
          title: Gestito dal sistema
          type: boolean
        name:
          description: DNS nome del record
          title: Nome
          type: string
        priority:
          anyOf:
            - type: integer
            - type: 'null'
          description: DNS priorità di registrazione quando applicabile
          title: Priorità
        ttl:
          description: DNS registra TTL in pochi secondi
          title: TTL
          type: integer
        type:
          description: Tipo di record DNS
          title: Tipo
          type: string
        value:
          description: DNS valore di registrazione
          title: Valore
          type: string
      required:
        - id
        - type
        - name
        - value
        - ttl
      title: DomainDnsRecordResponse
      type: object
    DomainMailboxSummary:
      description: Riepilogo casella di posta incorporato nei dettagli del dominio.
      properties:
        active:
          description: Se la casella di posta è attiva
          title: Attivo
          type: boolean
        email:
          description: Indirizzo e-mail della casella di posta principale
          title: E-mail
          type: string
        first_name:
          description: Nome dell'utente della casella di posta
          title: Nome
          type: string
        id:
          description: Cassetta postale UUID
          format: uuid
          title: ID
          type: string
        last_name:
          description: Cognome dell'utente della casella di posta
          title: Cognome
          type: string
      required:
        - id
        - email
        - first_name
        - last_name
        - active
      title: DomainMailboxSummary
      type: object
    DomainTagResponse:
      description: Tag associato a un dominio.
      properties:
        id:
          description: Etichetta UUID
          format: uuid
          title: ID
          type: string
        name:
          description: Nome visualizzato del tag
          title: Nome
          type: string
      required:
        - id
        - name
      title: DomainTagResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Posizione
          type: array
        msg:
          title: Messaggio
          type: string
        type:
          title: Tipo errore
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````